function love.load()
	
	--Mouse cursor position, the value we'll lerp towards
	mx = 0
	my = 0
	
	--The value that will be "lerped"
	cubeX = 0
	cubeY = 0
	
	--Hide mouse pointer
	love.mouse.setVisible(false)
end

function love.update(dt)
	--Updates mouse pos
	mx = love.mouse.getX()
	my = love.mouse.getY()
	
	--Lerp the cube position
	cubeX = lerp(cubeX, mx, 0.07)
	cubeY = lerp(cubeY, my, 0.07)

end

function love.draw()

	--Draws result
	--Unlerped value
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.rectangle("line", mx, my, 10, 10)
	
	--Lerping value
	love.graphics.setColor(255, 0, 0, 255)
	love.graphics.rectangle("fill", cubeX, cubeY, 7, 7)

	love.graphics.print("Red square is having it's position lerped.", 0, 0)
	love.graphics.print("White square is mouse position without lerping.", 0, 15)
end

function lerp(initial_value, target_value, speed)
   local result = (1-speed)*initial_value + speed*target_value
   return result
end